Resolve Conversation
Mark a conversation as resolved or unresolved.
POST https://developers.chatway.app/api/v1/conversations/{conversation_id}/resolveExample request
curl -X POST "https://developers.chatway.app/api/v1/conversations/0f46c0a1-8938-40e3-b2b5-bb56f569fcab/resolve" \
-H "X-API-KEY: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "26fa75f2-7ac1-47b4-84e1-b943491ba4da",
"status": "resolved"
}'Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
conversation_id | path | Yes | string | Conversation ID Example: 0f46c0a1-8938-40e3-b2b5-bb56f569fcab |
Request body
application/json
agent_id (string, required)— Agent IDstatus (string enum: resolved, unresolved, contact_blocked, contact_unblocked, ended, reopened, required)
Responses
200
application/json
message (string, required)data (object, required)type (string, required)id (string|null, required)attributes (object, required)
404
Conversation not found
application/json
message (string, required)
422
Examples
Request body example
{
"agent_id": "26fa75f2-7ac1-47b4-84e1-b943491ba4da",
"status": "resolved"
}Response 200 example
{
"message": "Conversation resolved.",
"data": {
"type": "conversations",
"id": "id",
"attributes": []
}
}